%define nautilus_python_dir %(pkg-config --variable=pythondir nautilus-python)
Name:           sparkleshare
Version:        1.1.0
Release:        %mkrel 2
Summary:        Easy file sharing based on git repositories
Group:          Networking/File transfer 
License:        GPLv3
URL:            http://www.sparkleshare.org/
Source0:        https://bitbucket.org/hbons/%{name}/downloads/%{name}-linux-%{version}-tar.gz
BuildRequires:  mono-devel
BuildRequires:  notify-sharp-devel
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  nant
BuildRequires:  webkit-sharp-devel
BuildRequires:  nautilus-python
Requires:       git
Requires:       desktop-file-utils
Requires:       yelp

%description
Easy file sharing based on git repositories. A special folder is setup,
and directories/files placed within are placed in a git-based version
control system and synchronized elsewhere.


#%package nautilus
#Summary:        Nautilus plugin for %{name}
#Group:          Networking/File transfer
#License:        GPLv3


#%description nautilus
#Easy file sharing based on git repositories. A special folder is setup,
#and directories/files placed within are placed in a git-based version
#control system and synchronized elsewhere.

%prep
%setup -q

%build
%configure --prefix=%{_prefix}
# no parallel make on SMP because it's racy for this build :(
GMCS_FLAGS=-codepage:utf8 make

%install
%{__mkdir_p} %{buildroot}%{_libdir}/mono/gac/
make install DESTDIR=%{buildroot}
desktop-file-validate %{buildroot}/%{_datadir}/applications/sparkleshare.desktop

# find translations
%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/gnome/scalable/apps/%{name}-symbolic.svg
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/status/*
%{_datadir}/icons/ubuntu-mono-*/status/24/process-syncing*.png

#%files nautilus
#%nautilus_python_dir/sparkleshare-nautilus3-extension.py


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-2.mga4
+ Revision: 526615
- Mageia 4 Mass Rebuild

* Thu Jun 06 2013 dams <dams> 1.1.0-1.mga4
+ Revision: 438355
- fix %%files
- new version 1.1.0
- remove all about 'doc' as it's no longuer included in tarball
- clean specfile

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 382435
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 stormi <stormi> 1.0.0-1.mga3
+ Revision: 344386
- fix file list again
- disable nautilus plugin temporarily
- fix file list
- new version 1.0.0

  + agallou <agallou>
    - change configure because of a user help bug
    - updated spakleshare to 0.8.O

* Thu Jan 12 2012 agallou <agallou> 0.6.0-1.mga2
+ Revision: 195436
- updated spakleshare to 0.6.O

  + boklm <boklm>
    - fix path of nautilus python dir (to allow backport on Mageia 1)

* Fri Sep 09 2011 colin <colin> 0.2.5-1.mga2
+ Revision: 141855
- Update to 0.2.5
- Tidy up spec

  + agallou <agallou>
    - replace paths by macros
    - remove %%clean
    - remove %%post
    - remove %%postun
    - remove %%posttrans
    - remove Buildroot definition
    - remove changelog
    - import sparkleshare
    - Created package structure for sparkleshare.

